# About

Pacboy is a Pacman wrapper and extender that emerged as a generalization of Powerpill, Bauerbill, Pbget, etc. Its key features are:

* Fast downloads (packages, PKGBUILDs, package sources) via Aria2c.
* Generalized API to support arbitrary repo extensions. You can add build support to pacman sync repos or create build-only third-party repos such as the AUR, CPAN, etc.
* Associate packages with repos to always update those packages from those repos regardless of repo order.
* Configure which packages should always be built and which should never be built.
* Rebuild all rebuildable installed VCS packages.
* Download PKGBUILDs and source files for all supported packages (official repos, AUR, and any others supported by an extension). These downloads will be run in parallel (including the source file downloads, if the option is passed).
* Generated build scripts are fully customizable via per-package code snippets so users can apply patches, use custom build locations, etc., for any package.

# Official Extension Modules

## XCPF.PacmanRepoWrapper

This module is included in `python3-xcpf` along with `XCPF.Pacboy`. It extends Pacboy with access to [ABS](https://wiki.archlinux.org/index.php/Arch_Build_System) so you can build all official Arch Linux packages or just download their PKGBUILDs and sources.

## AUR.RepoWrapper.py

This module is included in `python3-aur`. It provides an extension for the [AUR](https://aur.archlinux.org/).
